﻿Tämä on Markdown-tekstitiedosto, ks. esim. https://github.github.com/gfm/

# ASA-rekisteristä Työelämätieto.fi-sivustolle koottu data

Tämä paketti sisältää datat, joita käytetään Työelämätieto.fi-sivuston ASA-rekisterin sivun visualisoinneissa. ASA-rekisteri on Työterveyslaitoksen ylläpitämä syöpäsairauden vaaraa aiheuttaville aineille ja menetelmille ammatissaan altistuvien rekisteri.

Data sisältää ASA-altistumistapausten lukumääriä. Yksityisyydensuojan vuoksi dataan on hyväksytty mukaan vain ryhmät, joissa tapausten lukumäärä on vähintään 5. Tilanteissa, joissa jonkin ryhmän tapausmäärä on vähemmän kuin 5, lukuarvon kohdalle on koodattu `"NA"`.

Datassa on mukana sellaiset ryhmät, joissa on riittävästi tapauksia näytettäväksi ainakin yhtenä tarkasteluvuonna. Siis esim. niitä ammatteja, jotka eivät ole altistustapausten lukumäärässä viiden isoimman ammatin joukossa minään vuonna miehillä eikä naisilla, ei esiinny tässä datassa lainkaan.

## Paketin tiedostot:

### Datatiedostot ja niiden muuttujaselosteet:

#### Yleisesti käytetyt muuttujat:

- `year`: Vuosi
- `profession`: Ammattiluokan koodi Tilastokeskuksen 2010 Ammattiluokituksen mukaan (arvot numeromerkkijonoja; 1-5 -numerotasot)
- `region`: Työsuojelun vastuualue (arvot "01"-"05"), lähde: https://www.tyosuojelu.fi/tietoa-meista/yhteystiedot (viitattu 9.6.2021)
- `industry`: Toimialakoodi Tilastokeskuksen toimialaluokituksen (TOL2008) kirjaintasolla (arvot "A"-"X")
- `asaworkers`: ASA-altistuneiden työntekijöiden lukumäärä kyseisessä luokassa
    - Tämä ei siis huomioi sitä, kuinka monelle altisteelle yksittäinen ihminen on vuoden aikana altistunut; vain sen, onko henkilö altistunut ylipäätään jollekin altisteelle.

#### Tiedostot:
- `fragment1.csv`
  - Taulukko, joka kertoo ASA-altistuneiden työntekijöiden lukumäärän vuoden, työsuojelualueen ja toimialan mukaan. Henkilö lasketaan ASA-altistuneeksi, jos hänen on ilmoitettu altistuneen jollekin ASA-altisteelle vuoden aikana. Jos sama henkilö on altistunut samana vuonna eri toimialoilla tai työsuojelualueilla, nämä altistumiset lasketaan mukaan kaikkien näiden toimialojen ja työsuojelualueiden altistuneiden henkilöiden lukumääriin.
  - Taulukosta on poistettu yksityisyydensuojan vuoksi rivit, joissa sarakkeen `asaworkers` arvot ovat pienempiä kuin 5.
  - Lisämuuttujat:
    - `workers`: Työssäkäyvien lukumäärä (tuhansissa) työsuojelun vastuualueella kunakin vuonna kullakin toimialalla.
      - Perustuu Tilastokeskuksen taulukkoon *115h -- Alueella työssäkäyvät (työpaikat) alueen, toimialan (TOL 2008), sukupuolen ja vuoden mukaan, 2007-2018*
      - lähde: https://pxnet2.stat.fi/PXWeb/pxweb/fi/StatFin/StatFin__vrm__tyokay/statfin_tyokay_pxt_115h.px/ (tiedot haettu 31.5.2021)
      - Huom! Vuodelle 2019 käytetään vuoden 2018 lukumääriä
    - `proportion_1000`: ASA-altistuneiden suhteellinen määrä suhteutettuna työssäkäyvien lukumäärään alueella ja toimialalla kunakin vuonna.
    - `region_mean`: ASA-altistuneiden suhteellinen määrä suhteutettuna työssäkäyvien lukumäärään alueella kunakin vuonna. 
      - Arvo on koodattu kunkin alueen ja vuoden ensimmäiselle riville (`industry="C"`); muilla saman alueen ja vuoden riveillä on arvo 0.

- `finRegionsTopojson/`
  - Kansio, joka sisältää karttavisualisaatiossa käytetyn geojson-datan
  - Lisätietoja kansion omassa `README.md`-tiedostossa.

- `fragment2top10.json`:
  - Sisältää json-muodossa kullekin vuodelle ne kymmenen ammattiluokkaa (Tilastokeskuksen Ammattiluokitus 2010), joissa on eniten ASA-altistumistapauksia kyseisenä vuonna koko maassa, sekä altistumistapausten lukumäärät näissä luokissa.
- `fragment2totalcases.json`:
  - Sisältää json-muodossa kullekin vuodelle ASA-altistumistapauksien lukumäärän eri ammattiluokissa sekä yhteensä että sukupuolittain.
  - Lisämuuttujat:
    - `"women"`: Altistuneiden naisten lukumäärä
    - `"men"`: Altistuneiden miesten lukumäärä
    - `"both"`: Altistuneiden lukumäärä yhteensä
- `fragment2barplots.json`:
  - Sisältää json-muodossa kullekin vuodelle, eri ammattiluokille ja sukupuolittain ne viisi ASA-altistetta, joille altistuttiin eniten kyseisessä ryhmässä, sekä altistumistapausten lukumäärän.

- `fragment3top10.json`:
  - Sisältää json-muodossa kullekin vuodelle ne kymmenen ASA-altistetta, jotka aiheuttivat eniten altistumistapauksia kyseisenä vuonna koko maassa, sekä näille altisteille altistumistapausten lukumäärät.
- `fragment3totalcases.json`:
  - Sisältää json-muodossa kullekin vuodelle ASA-altistumistapauksien lukumäärän eri altisteille sekä yhteensä että sukupuolittain.
  - Lisämuuttujat: kuten tiedostossa `fragment2totalcases.json`.
- `fragment3barplots.json`:
  - Sisältää json-muodossa kullekin vuodelle, eri altisteille ja sukupuolittain ne viisi ammattia, joissa altistuttiin eniten kyseiselle altisteelle, sekä altistumistapausten lukumäärän.

- `fragment4top10.json`:
  - Sisältää json-muodossa kullekin vuodelle ne kymmenen toimialaluokkaa (Tilastokeskuksen Toimialaluokitus 2008), joissa on eniten ASA-altistumistapauksia kyseisenä vuonna koko maassa, sekä altistumistapausten lukumäärät näissä luokissa.
- `fragment4totalcases.json`:
  - Sisältää json-muodossa kullekin vuodelle ASA-altistumistapauksien lukumäärän eri ammattiluokissa sekä yhteensä että sukupuolittain.
- `fragment4barplots.json`:
  - Sisältää json-muodossa kullekin vuodelle, eri toimialoille ja sukupuolittain ne viisi ASA-altistetta, joille on altistuttu eniten kyseisessä ryhmässä, sekä altistumistapausten lukumäärän.
  - Lisämuuttujat: kuten tiedostossa `fragment2barplots.json`.

### Muut tiedostot:

- `README.md`
  - Tämä tiedosto

- `LICENSE.txt`
  - Aineiston lisenssitiedot

TODO: Lisää ammattiluokka-, toimiala- ja altistekoodeja vastaavat nimet.