﻿Den här är en Markdown-textfil, se t.ex. https://github.github.com/gfm/

# Information som sammanställts på webbplatsen Työelämätieto.fi ur ASA-registret

Detta paket innehåller information som används för visualisering av ASA-registrets webbplats på Arbetslivskunskap.fi. ASA-registret är ett register över dem som i sitt yrke är exponerade för ämnen och processer som medför risk för cancersjukdom och det upprätthålls av Arbetshälsoinstitutet.

Informationen innehåller antalet ASA-exponeringsfall som arbetsgivare har anmält. Av integritetsskyddsskäl har ur informationen avlägsnats grupper där antalet fall är färre än 5.

I informationen ingår sådana grupper där det finns tillräckligt med fall att visas under åtminstone ett granskningsår. Till exempel de yrken som inte ingår i de fem största yrkesgrupperna vad gäller antalet exponeringsfall under något år förekommer inte alls i denna information.

## Filerna i paketet:

### Datamaterial och förklaringar av deras variabler:

#### Allmänt använda variabler:

- `year`: År
- `profession`: Yrkeskategorikod Enligt Statistikcentralens Yrkesklassificering 2010 (värden sifferkodsträngar; 1–5 -siffernivåer)
- `region`: Arbetarskyddets ansvarsområde (värden "01"-"05"), källa: https://www.tyosuojelu.fi/web/sv/om-oss/kontaktinformation (hänvisad 9.6.2021)
- `industry`: Näringsgrenskod Enligt Statistikcentralens näringsgrensindelning (TOL2008) på bokstavsnivå (värden "A"-"X")
- `asaworkers`: Antalet ASA-exponerade anställda i kategorin i fråga
    – Detta beaktar alltså inte hur många agenser en enskild människa har anmälts exponerad för under ett år, utan endast om personen har anmälts exponerad för någon agens överhuvudtaget.


#### Filer:

- `fragment1.csv`
  – Tabell som anger antalet anställda som anmälts ASA-exponerade per år, arbetarskyddsområde och näringsgren. En person räknas vara ASA-exponerad om denne har anmälts exponerad för någon ASA-agens under året. Om samma person har anmälts exponerad under samma år inom olika näringsgrenar eller arbetarskyddsområden räknas dessa exponeringar med i det totala antalet personer som exponerats inom dessa näringsgrenar och arbetarskyddsområden.
 – Av integritetsskyddsskäl har rader där värdet i kolumnen `asaworkers`är mindre än 5 tagits bort ur tabellen.
 – Tilläggsvariabler:
    - `workers`: Antalet förvärvsarbetande (tusental) inom arbetarskyddsansvarsområdet under respektive år inom respektive näringsgren.
      – Baserar sig på Statistikcentralens tabell *115h -- Inom området arbetande (arbetsplatser) efter område, näringsgren (TOL 2008), kön och år, 2007-2018*
      - källa: https://pxnet2.stat.fi/PXWeb/pxweb/fi/StatFin/StatFin__vrm__tyokay/statfin_tyokay_pxt_115h.px/ (uppgifterna hämtade 31.5.2021)
    - `proportion_1000`: Det relativa antalet ASA-exponerade i förhållande till antalet förvärvsarbetande inom området och näringsgrenen under respektive år.
    - `region_mean`: Det relativa antalet ASA-exponerade i förhållande till antalet förvärvsarbetande inom området under respektive år. 
      - Värdet är kodat på den första raden av respektive område och år (`industry="C"`); andra rader inom samma område och år har värdet 0.

- `finRegionsTopojson/`
  - Mapp som innehåller geojson-data som används för kartvisualisering
  - Ytterligare uppgifter i mappens egen `README.md`-fil.

- `fragment2top10.json`:
  - Innehåller i json-format de tio yrkeskategorier för respektive år (Statistikcentralens Yrkesklassificering 2010), där det finns flest anmälda ASA-exponeringsfall under året i fråga i hela landet, samt antalet exponeringsfall i dessa kategorier.
- `fragment2totalcases.json`:
  - Innehåller i json-format antalet ASA-exponeringsfall som anmälts för respektive år för olika yrkeskategorier både totalt och indelade i kön.
  - Tilläggsvariabler:
    - `"women"`: Antal exponerade kvinnor
    - `"men"`: Antal exponerade män
    - `"both"`: Antal exponerade totalt
- `fragment2barplots.json`:
  - Innehåller i json-format de fem ASA-agenser för respektive år och olika yrkeskategorier som ifrågavarande grupp mest exponerades för samt antalet exponeringsfall.

- `fragment3top10.json`:
  - Innehåller i json-format de tio ASA-agenser för respektive år som orsakade mest exponeringsfall under året i fråga i hela landet, samt antalet exponeringsfall för dessa agenser.
- `fragment3totalcases.json`:
  - Innehåller i json-format antalet ASA-exponeringsfall för olika agenser som anmälts för respektive år både totalt och indelat i kön.
  - Tilläggsvariabler: såsom i filen `fragment2totalcases.json`.
- `fragment3barplots.json`:
  - Innehåller i json-format de fem yrken där man mest exponerades för agensen i fråga indelat per år, olika agenser och kön, samt antalet exponeringsfall.

- `fragment4top10.json`:
  - Innehåller i json-format de tio yrkeskategorier för respektive år (Statistikcentralens Yrkesklassificering 2008), där det finns flest anmälda ASA-exponeringsfall under året i fråga i hela landet, samt antalet exponeringsfall i dessa kategorier.
- `fragment4totalcases.json`:
  - Innehåller i json-format antalet ASA-exponeringsfall som anmälts för respektive år för olika yrkeskategorier både totalt och indelade i kön.
- `fragment4barplots.json`:
  - Innehåller i json-format de fem ASA-agenser som man mest har exponerats för i gruppen i fråga per år, olika näringsgrenar och per kön, samt antalet exponeringsfall.
  - Tilläggsvariabler: såsom i filen `fragment2barplots.json`.

### Övriga filer:

- `README.md`
  - Denna fil

- `LICENSE.txt`
  - Licensinformation för materialet
